package emporer.client;

import emporer.client.io.ClientIO;
import emporer.domain.User;
import emporer.domain.action.Action;
import emporer.domain.session.Request;
import emporer.domain.session.Response;
import org.json.JSONObject;

import java.util.NoSuchElementException;
import java.util.logging.Logger;

public class EmporerClient {

    private static final Logger LOGGER = Logger.getLogger(EmporerClient.class.getName());

    public static void main(String[] args) {
        EmporerClient client = new EmporerClient();
        client.connect();
        client.login();
        client.idle(10000);
    }

    private final String username = "user";
    private final String password = "pass";

    private void connect() {
        ClientIO.connect();
    }

    private void login() {
        JSONObject loginJson = new JSONObject();
        loginJson.put("username", username);
        loginJson.put("password", password);

        ClientIO.sendRequest(new Request(Action.LOGIN, loginJson));
        Response response = ClientIO.getResponse();

        if (response.isSuccessful()) {
            User user = new User();
            user.populateFromJSON(response.getResponse());
            ClientIO.USER = user;

            LOGGER.info("User successfully connected: " + ClientIO.USER.toString());
        } else {
            try {
                String error = response.getJSON().getString("msg");
            } catch (final NoSuchElementException nse) {
                LOGGER.warning("Doesn't seem to work...");
            }
        }
    }

    private void idle(final long duration) {
        try {
            Thread.sleep(duration);
        } catch (InterruptedException e) {
            e.printStackTrace();
        }
    }

}
