package emporer.server.user.test;

import emporer.domain.User;
import emporer.server.user.UserDao;

import java.util.HashMap;
import java.util.Map;
import java.util.Random;

public class MockUserDao implements UserDao {

    private final Random random = new Random();

    private Map<Integer, User> users;

    public MockUserDao() {
        users = new HashMap<Integer, User>();

        User user1 = new User();
        user1.setUserId(random.nextInt(1000) + 1);
        user1.setEmail("user");
        user1.setNameFirst("Reid");
        user1.setNameLast("Harrison");
        registerUser(user1, "pass");
    }

    @Override
    public User validateLogin(final String email, final String password) {
        User user = null;

        for (User u : users.values()) {
            if (u.getEmail().equalsIgnoreCase(email)) {
                user = u;
                break;
            }
        }

        return user;
    }

    @Override
    public User registerUser(final User newUser, final String password) {
        users.put(newUser.getUserId(), newUser);
        return newUser;
    }

    @Override
    public User getUser(final Integer userId) {
        return users.get(userId);
    }
}
